From d8878eddd04cb986d57cc721d719670dc7f4d156 Mon Sep 17 00:00:00 2001
From: Stefan Strogin <steils@gentoo.org>
Date: Tue, 17 Dec 2019 20:20:52 +0200
Subject: [PATCH] Rename manpage from recover to recover-nethack

Based on the patch by Luis Ressel from https://bugs.gentoo.org/203556

Upstream-Status: Inappropriate [Gentoo-specific]
Signed-off-by: Stefan Strogin <steils@gentoo.org>
---
 doc/nethack.6 |  2 +-
 doc/recover.6 | 28 ++++++++++++++--------------
 2 files changed, 15 insertions(+), 15 deletions(-)

diff --git a/doc/nethack.6 b/doc/nethack.6
index dda4c89f4..b26a2b493 100644
--- a/doc/nethack.6
+++ b/doc/nethack.6
@@ -393,7 +393,7 @@ SHOPTYPE and SPLEVTYPE can be used in debugging (wizard) mode.
 DEBUGFILES can be used if the program was built with 'DEBUG' enabled.
 .SH "SEE ALSO"
 .PP
-dgn_comp(6), lev_comp(6), recover(6)
+dgn_comp(6), lev_comp(6), recover-nethack(6)
 .SH BUGS
 .PP
 Probably infinite.
diff --git a/doc/recover.6 b/doc/recover.6
index 1209d31d3..eee5bbc61 100644
--- a/doc/recover.6
+++ b/doc/recover.6
@@ -1,4 +1,4 @@
-.TH RECOVER 6 "14 December 2015" NETHACK
+.TH RECOVER-NETHACK 6 "14 December 2015" NETHACK
 .de ND
 .ds Nd \\$3
 ..
@@ -13,9 +13,9 @@
 .NR $NHDT-Revision: 1.9 $
 .ds Na Kenneth Lorber
 .SH NAME
-recover \- recover a NetHack game interrupted by disaster
+recover-nethack \- recover a NetHack game interrupted by disaster
 .SH SYNOPSIS
-.B recover
+.B recover-nethack
 [
 .B \-d
 .I directory
@@ -33,7 +33,7 @@ so such games can be recovered at the point of the last level change.
 The
 .I base
 options tell
-.I recover
+.I recover-nethack
 which files to process.
 Each base option specifies recovery of a separate game.
 .PP
@@ -83,24 +83,24 @@ by a user number to avoid conflicts,
 or "xlock" if the number of concurrent players is being limited.
 It may be necessary to look in the playground to find the correct
 base name of the interrupted game.
-.I recover
+.I recover-nethack
 will transform these level files into a save file of the same name as
 .I nethack
 would have used.
 .PP
 Since
-.I recover
+.I recover-nethack
 must be able to read and delete files from the playground
 and create files in the save directory,
 it has interesting interactions with game security.
 Giving ordinary players access to
-.I recover
+.I recover-nethack
 through setuid or setgid is tantamount to leaving the playground
 world-writable,
 with respect to both cheating and messing up other players.
 For a single-user system, this of course does not change anything,
 so some of the microcomputer ports install
-.I recover
+.I recover-nethack
 by default.
 .PP
 For a multi-user system,
@@ -108,22 +108,22 @@ the game administrator may want to arrange for all .0 files in the
 playground to be fed to recover when the host machine boots,
 and handle game crashes individually.
 If the user population is sufficiently trustworthy,
-.I recover
+.I recover-nethack
 can be installed with the same permissions the
 .I nethack
 executable has.
 In either case,
-.I recover
+.I recover-nethack
 is easily compiled from the distribution utility directory.
 .SH NOTES
 .PP
 Like
 .I nethack
 itself,
-.I recover
+.I recover-nethack
 will overwrite existing savefiles of the same name.
 Savefiles created by
-.I recover
+.I recover-nethack
 are uncompressed;
 they may be compressed afterwards if desired,
 but even a compression-using
@@ -133,12 +133,12 @@ will find them in the uncompressed form.
 nethack(6)
 .SH BUGS
 .PP
-.I recover
+.I recover-nethack
 makes no attempt to find out if a base name specifies a game in progress.
 If multiple machines share a playground, this would be impossible to
 determine.
 .PP
-.I recover
+.I recover-nethack
 should be taught to use the nethack playground locking mechanism to
 avoid conflicts.
 .SH COPYRIGHT
-- 
2.24.1

